%include	/usr/lib/rpm/macros.perl
Summary:	Analyzes system logs
Summary(pl.UTF-8):	Logwatch - analizator logów systemowych
Name:		logwatch
Version:	7.4.1
Release:	1
License:	MIT
Group:		Applications/System
Source0:	http://sourceforge.net/projects/logwatch/files/logwatch-7.4.1/logwatch-7.4.1.tar.gz/download
# Source0-md5:	a0c3d8721f877bdcd4a9089eb1b4691b
# https://po2.uni-stuttgart.de/~rusjako/logwatch/default.html
Source1:	https://po2.uni-stuttgart.de/~rusjako/logwatch/%{name}-syslog-ng.tar.gz
# Source1-md5:	2f834407b85080e8e6556d6182d245aa
Source2:	%{name}.sysconfig
Source3:	%{name}-cron.sh
Source4:	%{name}.cron
Source5:	%{name}.tmpwatch
Patch0:		%{name}-log_conf.patch
Patch1:		%{name}-archives.patch
Patch2:		%{name}-exim.patch
URL:		http://www.logwatch.org/
BuildRequires:	rpm-perlprov
Requires:	crondaemon
Requires:	gawk
Requires:	perl-modules
Requires:	smtpdaemon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_logwatchdir	%{_datadir}/%{name}
%define		_logwatchconf	%{_sysconfdir}/%{name}

%description
LogWatch is a customizable, pluggable log-monitoring system. It will
go through your logs for a given period of time and make a report in
the areas that you wish with the detail that you wish. Easy to use -
works right out of the package on almost all systems.

%description -l pl.UTF-8
Pakiet zawiera logwatch - program przeznaczony do automatycznego
analizowania logów systemowych i przesyłaniu ich po wstępnej obróbce
pocztą elektroniczną do administratora systemu. Logwatch jest łatwy w
użyciu i może pracować na większości systemów.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_logwatchconf}/{conf,scripts},/etc/{cron.d,sysconfig,tmpwatch}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},%{_logwatchdir}/{lib,default.conf},/var/cache/logwatch}

install conf/logwatch.conf $RPM_BUILD_ROOT%{_logwatchconf}/conf
install conf/logwatch.conf $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
install conf/ignore.conf $RPM_BUILD_ROOT%{_logwatchconf}/conf
install conf/ignore.conf $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
touch $RPM_BUILD_ROOT%{_logwatchconf}/conf/override.conf
# Where to put it The Right Way(TM)?
install lib/Logwatch.pm $RPM_BUILD_ROOT%{_logwatchdir}/lib

cp -a conf/html $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/html $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a conf/services $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/services $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a conf/logfiles $RPM_BUILD_ROOT%{_logwatchconf}/conf
cp -a conf/logfiles $RPM_BUILD_ROOT%{_logwatchdir}/default.conf
cp -a scripts $RPM_BUILD_ROOT%{_logwatchdir}
install logwatch-syslog-ng/syslog-ng.conf $RPM_BUILD_ROOT%{_logwatchconf}/conf/services
install logwatch-syslog-ng/syslog-ng $RPM_BUILD_ROOT%{_logwatchdir}/scripts/services

mv $RPM_BUILD_ROOT%{_logwatchdir}/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sbindir}/logwatch

ln -sf %{_sbindir}/logwatch $RPM_BUILD_ROOT%{_logwatchdir}/scripts/logwatch.pl

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/logwatch-cron
install %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.d/logwatch
install %{SOURCE5} $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf
install logwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8
install logwatch.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install override.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install ignore.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# needed for smooth upgrade from < 4.3.2 package
if [ -d /etc/log.d/conf ]; then
	mv -f /etc/log.d/conf/logwatch.conf* /etc/log.d/ || :
	mv -f /etc/log.d/conf/services /etc/log.d/ || :
	mv -f /etc/log.d/conf/logfiles /etc/log.d/ || :
# needed for smooth upgrade from < 7.0 package:
elif [ -d /etc/log.d ]; then
	echo "Moving configuration from /etc/log.d to /etc/logwatch/conf..."
	if [ ! -d /etc/logwatch/conf ]; then
		mkdir -p /etc/logwatch/conf
	fi
	mv -f /etc/log.d/logwatch.conf* /etc/logwatch/conf/ || :
	mv -f /etc/log.d/services /etc/logwatch/conf/ || :
	mv -f /etc/log.d/logfiles /etc/logwatch/conf/ || :
fi

%files
%defattr(644,root,root,755)
%doc README HOWTO-*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/logwatch
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/ignore.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/logwatch.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/override.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/html/*.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/logfiles/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_logwatchconf}/conf/services/*.conf
%attr(750,root,root) %dir %{_logwatchconf}
%attr(750,root,root) %dir %{_logwatchconf}/conf
%attr(750,root,root) %dir %{_logwatchconf}/conf/html
%attr(750,root,root) %dir %{_logwatchconf}/conf/logfiles
%attr(750,root,root) %dir %{_logwatchconf}/conf/services
%attr(750,root,root) %dir %{_logwatchconf}/scripts
%{_logwatchdir}
%attr(755,root,root) %{_sbindir}/logwatch
%attr(755,root,root) %{_sbindir}/logwatch-cron
%attr(750,root,root) %dir /var/cache/logwatch
%{_mandir}/man[58]/*
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/logwatch.git;a=log;h=master

* Sat Sep 12 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 9604841
- up to 7.4.1

* Wed Dec 07 2011 Adam Gołębiowski <adamg@pld-linux.org> e674dcc
- handle "date time [pid] msgid message" format in exim log files
- release 3

* Wed Dec 07 2011 Adam Gołębiowski <adamg@pld-linux.org> 9e396bb
- new

* Sun Aug 14 2011 dzeus <dzeus@pld-linux.org> 758bfc1
- rel. 2

* Wed Jun 15 2011 zbyniu <zbyniu@pld-linux.org> 607e8f1
- up to 7.4.0 [fixes CVE-2011-1018]

* Sun Nov 02 2008 Elan Ruusamäe <glen@pld-linux.org> b947770
- applied in new syslog-ng tarball (1.0-20081102)

* Sun Nov 02 2008 Elan Ruusamäe <glen@pld-linux.org> 336f1d7
- -syslog-ng.patch applied in new syslog-ng tarball (1.0-20081102)

* Mon Oct 27 2008 Elan Ruusamäe <glen@pld-linux.org> 0d994f8
- match configuration reload line

* Wed Oct 08 2008 Elan Ruusamäe <glen@pld-linux.org> 98c8ee5
- run cron earlier and from own crontab, so that email subject matters; rel 4

* Wed Oct 08 2008 Elan Ruusamäe <glen@pld-linux.org> f05c279
- spaces would appear in subject line...

* Tue Oct 07 2008 Elan Ruusamäe <glen@pld-linux.org> 5322299
- nice with +

* Tue Oct 07 2008 Elan Ruusamäe <glen@pld-linux.org> 19354e2
- moved to logwatch-cron.sh, add crontab contents here

* Mon Oct 06 2008 Elan Ruusamäe <glen@pld-linux.org> 49073f2
- match startup/shutdown from syslog-ng 2.0.9

* Mon Oct 06 2008 Elan Ruusamäe <glen@pld-linux.org> 6095021
- junk removal cleanup

* Mon Oct 06 2008 Elan Ruusamäe <glen@pld-linux.org> ce2d8a1
- fix archive/* patchs for pld

* Thu Jun 19 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7384d29
- add script for syslog-ng

* Sun May 20 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> a5eab5e
- up to 7.3.6

* Wed May 16 2007 Paweł Gołaszewski <blues@pld-linux.org> 2f6e733
- 7.3.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1a056d2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 85a1377
- converted to UTF-8

